@echo off

set filefrom=
set fileto=

if "%1" == "" goto Usage
if "%2" == "" goto Usage

if "%1" == "save" goto Save
if "%1" == "install" goto Install
goto Usage

:Save

echo .
echo . About to copy *all* track.ini files as %2.ini
echo . Make sure this file runs in gpl tracks directory
echo . and the filename is right.
echo .

choice Continue?
if errorlevel 2 goto End
if errorlevel 1 goto Check
goto End

:Check

set duppie=
if exist kyalami\%2.ini set duppie=%duppie% kyalami
if exist mexico\%2.ini set duppie=%duppie% mexico
if exist monaco\%2.ini set duppie=%duppie% monaco
if exist monza\%2.ini set duppie=%duppie% monza
if exist mosport\%2.ini set duppie=%duppie% mosport
if exist nurburg\%2.ini set duppie=%duppie% nurburg
if exist rouen\%2.ini set duppie=%duppie% rouen
if exist silver\%2.ini set duppie=%duppie% silver
if exist spa\%2.ini set duppie=%duppie% spa
if exist watglen\%2.ini set duppie=%duppie% watglen
if exist zandvort\%2.ini set duppie=%duppie% zandvort
if exist brands\%2.ini set duppie=%duppie% brands
if exist dubai\%2.ini set duppie=%duppie% dubai
if exist glen\%2.ini set duppie=%duppie% glen
if exist hickory\%2.ini set duppie=%duppie% hickory
if exist homestd\%2.ini set duppie=%duppie% homestd
if exist nwenglnd\%2.ini set duppie=%duppie% nwenglnd
if exist phoenix\%2.ini set duppie=%duppie% phoenix
if exist osring\%2.ini set duppie=%duppie% osring
if exist taladega\%2.ini set duppie=%duppie% taladega
if exist atlanta\%2.ini set duppie=%duppie% atlanta
if exist snett\%2.ini set duppie=%duppie% snett
if exist clevland\%2.ini set duppie=%duppie% clevland
if exist elkhart\%2.ini set duppie=%duppie% elkhart
if exist imola\%2.ini set duppie=%duppie% imola
if exist ims\%2.ini set duppie=%duppie% ims
if exist laguna\%2.ini set duppie=%duppie% laguna
if exist midohio\%2.ini set duppie=%duppie% midohio
if exist riversid\%2.ini set duppie=%duppie% riversid
if exist roada\%2.ini set duppie=%duppie% roada
if exist solitude\%2.ini set duppie=%duppie% solitude
if exist goodwood\%2.ini set duppie=%duppie% goodwood

if "%duppie%" == "" goto Dosave

:Dupfile

echo .
echo . Savename %2.ini exists in subfolder(s):
echo . %duppie%
echo . Are you sure you want to overwrite?
set duppie=

choice Continue?
if errorlevel 2 goto End
if errorlevel 1 goto Dosave
goto End

:Dosave

set filefrom=track.ini
set fileto=%2.ini
goto Copy

:Install

echo .
echo . About to install *all* %2.ini files over the 
echo . current track.ini's; use "trackcpy save" first if 
echo . you have no copy of the current files. 
echo . Also make sure this file runs in gpl tracks directory
echo . and the filename is right.
echo .

choice Continue?
if errorlevel 2 goto End
if errorlevel 1 goto Doinstall
goto End

:Doinstall

set filefrom=%2.ini
set fileto=track.ini
goto Copy

:Copy

call cpysub kyalami %filefrom% %fileto%
call cpysub mexico %filefrom% %fileto%
call cpysub monaco %filefrom% %fileto%
call cpysub monza %filefrom% %fileto%
call cpysub mosport %filefrom% %fileto%
call cpysub nurburg %filefrom% %fileto%
call cpysub rouen %filefrom% %fileto%
call cpysub silver %filefrom% %fileto%
call cpysub spa %filefrom% %fileto%
call cpysub watglen %filefrom% %fileto%
call cpysub zandvort %filefrom% %fileto%
call cpysub brands %filefrom% %fileto%
call cpysub dubai %filefrom% %fileto%
call cpysub glen %filefrom% %fileto%
call cpysub hickory %filefrom% %fileto%
call cpysub homestd %filefrom% %fileto%
call cpysub nwenglnd %filefrom% %fileto%
call cpysub phoenix %filefrom% %fileto%
call cpysub osring %filefrom% %fileto%
call cpysub taladega %filefrom% %fileto%
call cpysub atlanta %filefrom% %fileto%
call cpysub snett %filefrom% %fileto%
call cpysub clevland %filefrom% %fileto%
call cpysub elkhart %filefrom% %fileto%
call cpysub imola %filefrom% %fileto%
call cpysub ims %filefrom% %fileto%
call cpysub laguna %filefrom% %fileto%
call cpysub midohio %filefrom% %fileto%
call cpysub riversid %filefrom% %fileto%
call cpysub roada %filefrom% %fileto%
call cpysub solitude %filefrom% %fileto%
call cpysub goodwood %filefrom% %fileto%

Echo . Done
goto End

:Usage

echo .
echo . Copy track.ini for *all* tracks.
echo . Must run with the GPL tracks directory as current dir.
echo .
echo . Usage: trackcpy save/install name [.ini not needed]
echo . In principle you need to run "trackcpy save" only once
echo . on the original track.ini files.
echo .
echo . Example to save original track.ini's in trackorg.ini:
echo .  trackcpy save trackorg
echo .
echo . Example to install trackol6, overwriting the existing
echo . track.ini's:
echo .  trackcpy install trackol6
echo .
echo . Example to reinstall the originals (assuming they were
echo . saved using the first example):
echo .  trackcpy install trackorg

goto End

:End

echo .
